Create a widget key (returns plaintext pk_live_ ONCE)
curl --request POST \
--url https://api.kataven.ai/v1/api/v1/widget-keys \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "agent_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z",
"domain_allowlist": [
"https://acme.com",
"https://www.acme.com"
],
"name": "acme.com production"
}
'import requests
url = "https://api.kataven.ai/v1/api/v1/widget-keys"
payload = {
"agent_id": "agent_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z",
"domain_allowlist": ["https://acme.com", "https://www.acme.com"],
"name": "acme.com production"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: 'agent_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z',
domain_allowlist: ['https://acme.com', 'https://www.acme.com'],
name: 'acme.com production'
})
};
fetch('https://api.kataven.ai/v1/api/v1/widget-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"created_at": "<string>",
"created_by_email": "<string>",
"created_by_sub": "<string>",
"disabled_at": "<string>",
"domain_allowlist": [
"<string>"
],
"id": "<string>",
"last_used_at": "<string>",
"name": "<string>",
"public_key": "<string>",
"public_key_last8": "<string>"
}"<string>""<string>""<string>"Widget Keys
Create a widget key (returns plaintext pk_live_ ONCE)
Mints a new pk_live_ public identifier scoped to the caller’s account. The plaintext value is returned in the response body and never again — paste it into the customer’s HTML <script data-client-key="..."> attribute.
POST
/
api
/
v1
/
widget-keys
Create a widget key (returns plaintext pk_live_ ONCE)
Authorizations
Headers
Tenant database. Required when using a Zitadel JWT.
Body
application/json
Widget key spec

